-- init our package defined in main.xml
local meth_package = CustomAchievementPackage:new('secure_meth_achievement_package')

local achievements = {
        ["1"] = meth_package:Achievement("meth_10_bags"),
        ["2"] = meth_package:Achievement("meth_50_bags"),
        ["3"] = meth_package:Achievement("meth_100_bags"),
        ["4"] = meth_package:Achievement("meth_500_bags"),
}

Hooks:PostHook(
        LootManager,
        "secure",
        "meth_achievements_secure",
        function(self, carry_id, multiplier_level, silent, peer_id)
                if carry_id == 'meth' then
                        -- this is lame but i literally do not care
                        achievements["1"]:IncreaseAmount(1)
                        achievements["2"]:IncreaseAmount(1)
                        achievements["3"]:IncreaseAmount(1)
                        achievements["4"]:IncreaseAmount(1)
                        -- send message
                        local next_achievement = meth_package:GetCompletedAchievements() + 1
                        log(next_achievement)
                        if next_achievement < 5 then
                                next_achievement = achievements[tostring(next_achievement)]
                                local amount = next_achievement:CurrentAmountValue()
                                log(next_achievement:GetName() .. ' ' .. amount)
                                managers.chat:feed_system_message(
                                        1,
                                        'You have secured ' .. amount .. ' bags of meth! Secure ' .. (next_achievement:AmountValue() - amount) .. ' more bags to unlock ' ..  next_achievement:GetName() .. '!'
                                )
                        end
                end
        end
)
